/******/ // The require scope
/******/ var __wp_require__ = {};
/******/ 
/************************************************************************/
/******/ /* webpack/runtime/define property getters */
/******/ (() => {
/******/ 	// define getter functions for harmony exports
/******/ 	__wp_require__.d = (exports, definition) => {
/******/ 		for(var key in definition) {
/******/ 			if(__wp_require__.o(definition, key) && !__wp_require__.o(exports, key)) {
/******/ 				Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 			}
/******/ 		}
/******/ 	};
/******/ })();
/******/ 
/******/ /* webpack/runtime/hasOwnProperty shorthand */
/******/ (() => {
/******/ 	__wp_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ })();
/******/ 
/************************************************************************/
var __wp_exports__ = {};

// EXPORTS
__wp_require__.d(__wp_exports__, {
  "Z": () => (/* binding */ HfcSvgIcon)
});

;// CONCATENATED MODULE: ./.hfc/propnames.js
/* harmony default export */ const propnames = ([["size","class"],[],[]]);

;// CONCATENATED MODULE: ./src/index.ts

const svgAttrs = [["width","24"],["height","24"],["viewBox","0 0 24 24"],["xmlns","http://www.w3.org/2000/svg"],["class","fluentui-icon-dual-screen-settings-filled"]];
const svgHtml = "<path d=\"M13.27 2.98a2 2 0 01-1.44 2.5l-.58.14a5.73 5.73 0 000 1.8l.54.13a2 2 0 011.45 2.51l-.18.64c.44.38.94.7 1.48.92l.5-.52a2 2 0 012.9 0l.5.52a5.28 5.28 0 001.48-.9l-.2-.7a2 2 0 011.44-2.5l.59-.14a5.73 5.73 0 00-.01-1.8l-.54-.13a2 2 0 01-1.45-2.51l.19-.63c-.44-.39-.94-.7-1.49-.93l-.5.52a2 2 0 01-2.9 0l-.5-.52c-.53.22-1.03.53-1.47.91l.2.69zM16.5 8c-.8 0-1.45-.67-1.45-1.5S15.7 5 16.5 5c.8 0 1.45.67 1.45 1.5S17.3 8 16.5 8zm0 5A6.5 6.5 0 0022 9.96v10.29c0 .97-.78 1.75-1.75 1.75H13c-.09 0-.17 0-.26-.02V11.81A6.47 6.47 0 0016.5 13zm-.26 4.5h-1.6a.75.75 0 000 1.5H16.34a.75.75 0 000-1.5h-.1zM10 6.5L10 6H3.75C2.78 6 2 6.78 2 7.75v12.5C2 21.2 2.78 22 3.75 22H11c.08 0 .16 0 .25-.02V10.33A6.47 6.47 0 0110 6.5zm-.76 11h.1a.75.75 0 010 1.5H7.65a.75.75 0 010-1.5h1.6z\"></path>";
class HfcSvgIcon {
    constructor(container, props) {
        this.container = container;
        for (let i = 0; i < svgAttrs.length; i++) {
            container.setAttribute(svgAttrs[i][0], svgAttrs[i][1]);
        }
        this.render(props);
        container.innerHTML = svgHtml;
    }
    changed(props) {
        this.render(props);
    }
    disconnected() { }
    render(props) {
        if (props.attrs.size) {
            this.container.setAttribute("width", props.attrs.size);
            this.container.setAttribute("height", props.attrs.size);
        }
        if (props.attrs.class) {
            this.container.setAttributeNS(null, "class", props.attrs.class);
        }
        bindToElement(this.container, props.others);
    }
}
HfcSvgIcon.tag = "svg";
HfcSvgIcon.props = propnames;
function bindToElement(elem, obj) {
    for (let i = 0, keys = Object.keys(obj); i < keys.length; i++) {
        const key = keys[i];
        const value = obj[key];
        if (key === "style") {
            if (typeof value === "object") {
                Object.assign(elem.style, value);
            }
            else {
                elem.style.cssText += value;
            }
            continue;
        }
        if (typeof value === "function") {
            elem[key] = function (event) {
                value(event);
            };
        }
        else {
            elem.setAttribute(key, value);
        }
    }
}

var __wp_exports__default = __wp_exports__.Z;
export { __wp_exports__default as default };
